package com.yonge.cooleshow.cms.service;

import com.yonge.cooleshow.cms.dal.entity.HelpCenterContent;
import com.yonge.toolset.mybatis.service.BaseService;

import java.util.List;

public interface HelpCenterContentService extends BaseService<Long,HelpCenterContent> {
	
	public boolean updateContentByCatalog(Long catalogId,Integer status);
	
	public boolean deleteContentByCatalog(Long catalogId);

    boolean status(Long id);

    /**
     * 发布公告
     *
     * @param helpCenterContent
     * @return
     */
    boolean noticeRelease(HelpCenterContent helpCenterContent);

    /**
     * 查询将要发布的公告 (0 ~ 当前时间 + 5 min 的未发布的公告) 循环发布
     *
     * @return
     */
    List<HelpCenterContent> getNeedReleaseNotice();
}
